cabal-version:   3.0
name:            lamb
version:         0.1.0.0
license:         NONE
author:          jingus
maintainer:      jack@jingus.dev
build-type:      Simple

common warnings
    ghc-options: -Wall

executable lamb
    import:           warnings
    main-is:          Main.hs
    other-modules:    Parser,
                      Evaluation
    build-depends:    base
    hs-source-dirs:   src
    default-language: Haskell2010

test-suite lamb-tests
    type:               exitcode-stdio-1.0
    main-is:            Spec.hs
    hs-source-dirs:     src, test
    other-modules:      Parser,
                        ParserSpec,
                        Evaluation,
                        EvaluationSpec
    build-depends:      base, hspec
    build-tool-depends: hspec-discover:hspec-discover
    default-language:   Haskell2010
